List images for a project
/imagesRetrieve all images for a specific project, with pagination and sorting.
Authorization
ApiKeyAuth Internal API key for service-to-service communication.
In: header
Query Parameters
Maximum number of items to return in a single request. Default: 25
251 <= value <= 100Starting point of the result set. To get page 2 with a limit of 25, set offset to 25. Default: 0
00 <= valueField to sort by (created_at, name, size, updated_at)
Sort order (asc, desc)
Response Body
200application/json
OK
type: object
Data contains the slice of items for the current request.
Pagination data for the request.
Maximum number of items to return in a single request.
Starting point of the result set.
The total number of available items in the full list.
400application/json
Invalid query parameters
type: object
HTTP status code
Optional details about the error
Error message describing what went wrong
401application/json
Unauthorized
type: object
HTTP status code
Optional details about the error
Error message describing what went wrong
403application/json
Forbidden
type: object
HTTP status code
Optional details about the error
Error message describing what went wrong
500application/json
Internal server error
type: object
HTTP status code
Optional details about the error
Error message describing what went wrong
curl -X GET "https://api.rixl.com/images?limit=25&offset=0&sort=created_at&order=desc"fetch("https://api.rixl.com/images?limit=25&offset=0&sort=created_at&order=desc", {
method: "GET"
})package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.rixl.com/images?limit=25&offset=0&sort=created_at&order=desc"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.rixl.com/images?limit=25&offset=0&sort=created_at&order=desc"
response = requests.request("GET", url)
print(response.text)import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
HttpClient client = HttpClient.newBuilder()
.connectTimeout(Duration.ofSeconds(10))
.build();
HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
.uri(URI.create("https://api.rixl.com/images?limit=25&offset=0&sort=created_at&order=desc"))
.GET()
.build();
try {
HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
System.out.println("Status code: " + response.statusCode());
System.out.println("Response body: " + response.body());
} catch (Exception e) {
e.printStackTrace();
}using System;
using System.Net.Http;
using System.Text;
var client = new HttpClient();
var response = await client.GetAsync("https://api.rixl.com/images?limit=25&offset=0&sort=created_at&order=desc");
var responseBody = await response.Content.ReadAsStringAsync();OK
application/json
{
"data": [
{
"attached_to_video": false,
"file": {
"created_at": "2025-01-01T00:00:00Z",
"format": "avif",
"id": "FpvLwyDMqu",
"name": "original.jpeg",
"project_id": "Bq4y3QB38S",
"size": 1048576,
"status": "ready",
"updated_at": "2025-01-01T00:00:00Z",
"url": "https://images.rixl.com/Bq4y3QB38S/FpvLwyDMqu"
},
"height": 1080,
"id": "PS5IMKoFLm",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
"width": 1920
}
],
"pagination": {
"limit": 100,
"offset": 50,
"total": 1000
}
}Invalid query parameters
application/json
{
"code": 400,
"details": "The provided ID is not valid",
"error": "Invalid query parameters"
}Unauthorized
application/json
{
"code": 401,
"details": "The provided ID is not valid",
"error": "Unauthorized"
}Forbidden
application/json
{
"code": 403,
"details": "The provided ID is not valid",
"error": "Forbidden"
}Internal server error
application/json
{
"code": 500,
"details": "The provided ID is not valid",
"error": "Internal server error"
}